Gecode::NonLinFloatExpr Class Referenceabstract

Base class for non-linear float expressions. More...

`#include <minimodel.hh>`

## Public Member Functions

virtual FloatVar | post (Home home, FloatVar *ret) const =0
| Return variable constrained to be equal to the expression.
virtual void | post (Home home, FloatRelType frt, FloatVal c) const =0
| Post expression to be in relation frt with c.
virtual void | post (Home home, FloatRelType frt, FloatVal c, BoolVar b) const =0
| Post reified expression to be in relation frt with c.
virtual | ~NonLinFloatExpr (void)
| Destructor.
void * | operator new (size_t s)
| Memory management.
void | operator delete (void *p, size_t s)
| Memory management.

## Static Public Member Functions

static FloatVar | result (Home home, FloatVar *x)
| Return fresh variable if x is null, x otherwise.
static FloatVar | result (Home home, FloatVar *x, FloatVar y)
| Constrain x to be equal to y if x is not null.

## Detailed Description

Base class for non-linear float expressions.

Definition at line 794 of file minimodel.hh.

## Constructor & Destructor Documentation

## ~NonLinFloatExpr()

Gecode::NonLinFloatExpr::~NonLinFloatExpr | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 37 of file float-expr.hpp.

## Member Function Documentation

## post() [1/3]

virtual FloatVar Gecode::NonLinFloatExpr::post | ( | Home | home,
|  | FloatVar * | ret ) const

pure virtual

Return variable constrained to be equal to the expression.

Implemented in Gecode::MiniModel::ArithNonLinFloatExpr.

## post() [2/3]

virtual void Gecode::NonLinFloatExpr::post | ( | Home | home,
|  | FloatRelType | frt,
|  | FloatVal | c ) const

pure virtual

Post expression to be in relation frt with c.

Implemented in Gecode::MiniModel::ArithNonLinFloatExpr.

## post() [3/3]

virtual void Gecode::NonLinFloatExpr::post | ( | Home | home,
|  | FloatRelType | frt,
|  | FloatVal | c,
|  | BoolVar | b ) const

pure virtual

Post reified expression to be in relation frt with c.

Implemented in Gecode::MiniModel::ArithNonLinFloatExpr.

## result() [1/2]

FloatVar Gecode::NonLinFloatExpr::result | ( | Home | home,
|  | FloatVar * | x )

inline static

Return fresh variable if x is null, x otherwise.

Definition at line 40 of file float-expr.hpp.

## result() [2/2]

FloatVar Gecode::NonLinFloatExpr::result | ( | Home | home,
|  | FloatVar * | x,
|  | FloatVar | y )

inline static

Constrain x to be equal to y if x is not null.

Definition at line 46 of file float-expr.hpp.

## operator new()

void * Gecode::NonLinFloatExpr::operator new | ( | size_t | s | ) |

inline

Memory management.

Definition at line 53 of file float-expr.hpp.

## operator delete()

void Gecode::NonLinFloatExpr::operator delete | ( | void * | p,
|  | size_t | s )

inline

Memory management.

Definition at line 57 of file float-expr.hpp.

The documentation for this class was generated from the following files:

- gecode/minimodel.hh
- gecode/minimodel/float-expr.hpp